#encoding:utf-8
'''
根据一个给定的XML Schema，使用DOM树的形式从空白文件生成一个XML。
'''

__author__ = 'Liuxl'

from xml.dom.minidom import Document

import sys
reload(sys)
sys.setdefaultencoding('utf-8')



doc = Document()


def create_xml_node_list(name, *param_list):


    node_xml = doc.createElement(name)

    for values in param_list:

        key = str(name)

        if type(values) in [float, int, str, bool, unicode]:
            value_node = doc.createElement('value')
            value_node_text = doc.createTextNode(values)
            value_node.appendChild(value_node_text)
            node_xml.appendChild(node_xml)
        elif type(values) is dict:
            node_temp = create_xml_node_dict(key,**values)
            node_xml.appendChild(node_temp)
        elif type(values) is list:
            node_temp = create_xml_node_list(key,*values)
            node_xml.appendChild(node_temp)
    return node_xml


def create_xml_node_dict(name, **param_dict):

    node_xml = doc.createElement(name)

    for key in param_dict:
        values = param_dict[key]
        if type(values) in [float, int, str, bool, unicode]:
            node_xml.setAttribute(key, str(values))
        elif type(values) is dict:
            node_temp = create_xml_node_dict(key,**values)
            node_xml.appendChild(node_temp)
        elif type(values) is list:
            node_temp = create_xml_node_list(key,*values)
            node_xml.appendChild(node_temp)
        else:
            print 'know',key,type(values)


    return node_xml






def create_ae_xml():



    category_tree = doc.createElement('category_tree') #创建根元素
    category_tree.setAttribute('xmlns:xsi',"http://www.w3.org/2001/XMLSchema-instance")#设置命名空间
    doc.appendChild(category_tree)

    false = False
    true = True

    category_dict = {"aeopPostCategoryList":[{"id":3,"level":0,"names":{"zh":"服装/服饰配件","pt":"Vestuário e acessórios","fr":"Vêtements & accessoires","en":"Apparel & Accessories","ru":"Одежда и аксессуары","in":"Pakaian & aksesoris","es":"Ropa y accesorios"},"isleaf":false},{"id":34,"level":0,"names":{"zh":"汽车、摩托车","pt":"Automóveis e motos","fr":"Automobiles et motos","en":"Automobiles & Motorcycles","ru":"Автомобили и мотоциклы","in":"Mobil & sepeda motor","es":"Automóviles y motocicletas"},"isleaf":false},{"id":66,"level":0,"names":{"zh":"美容健康","pt":"Beleza & saúde","fr":"Beauté & santé","en":"Beauty & Health","ru":"Красоты и здоровья","in":"Kecantikan & kesehatan","es":"Belleza y salud"},"isleaf":false},{"id":7,"level":0,"names":{"zh":"电脑和办公","pt":"E escritório","fr":"Ordinateur et bureau","en":"Computer & Office","ru":"Компьютер и офиса","in":"Komputer & kantor","es":"Ordenador y oficina"},"isleaf":false},{"id":13,"level":0,"names":{"zh":"建筑","pt":"Construção & Real Estate","fr":"Immobilier & Construction","en":"Construction & Real Estate","ru":"Строительство и недвижимость","in":"Konstruksi & Real Estate","es":"Construcción y bienes raíces"},"isleaf":false},{"id":44,"level":0,"names":{"zh":"消费电子","pt":"Eletrônicos","fr":"Consumer Electronics","en":"Consumer Electronics","ru":"Бытовая электроника","in":"Elektronik konsumen","es":"Electrónica de consumo"},"isleaf":false},{"id":100008578,"level":0,"names":{"zh":"定制化产品","pt":"Produtos personalizados","fr":"Produits personnalisés","en":"Customized Products","ru":"Настроенные продукты","in":"Produk disesuaikan","es":"Productos personalizados"},"isleaf":false},{"id":5,"level":0,"names":{"zh":"电气设备和产品","pt":"Equipamentos eléctricos e suprimentos","fr":"Electrical Equipment & Supplies","en":"Electrical Equipment & Supplies","ru":"Электротехника и дополнения","in":"Peralatan listrik & perlengkapan","es":"Equipo eléctrico y suministros"},"isleaf":false},{"id":502,"level":0,"names":{"zh":"电子元器件","pt":"Componentes e sistemas electrónicas","fr":"Composants électroniques et les","en":"Electronic Components & Supplies","ru":"Электронных компонентов и расходных материалов","in":"Komponen elektronik & perlengkapan","es":"Componentes y sistemas electrónicos"},"isleaf":false},{"id":2,"level":0,"names":{"zh":"食品","pt":"Alimentos","fr":"Alimentaire","en":"Food","ru":"Питание","in":"Makanan","es":"Alimentos"},"isleaf":false},{"id":1503,"level":0,"names":{"zh":"家具和室内装饰品","pt":"Móveis","fr":"Meubles","en":"Furniture","ru":"Мебель","in":"Furniture","es":"Muebles"},"isleaf":false},{"id":200003655,"level":0,"names":{"zh":"假发及周边","pt":"Cabelo de","fr":"Cheveux et accessoires","en":"Hair & Accessories","ru":"Волосы и аксессуары","in":"Rambut & aksesoris","es":"Pelo y accesorios"},"isleaf":false},{"id":42,"level":0,"names":{"zh":"五金","pt":"Hardware","fr":"Matériel","en":"Hardware","ru":"Оборудование","in":"Hardware","es":"Hardware"},"isleaf":false},{"id":15,"level":0,"names":{"zh":"家居用品","pt":"Casa e jardim","fr":"Maison & jardin","en":"Home & Garden","ru":"Дома и сада","in":"Home & Garden","es":"Hogar y jardín"},"isleaf":false},{"id":6,"level":0,"names":{"zh":"家用电器","pt":"Eletrodomésticos","fr":"Appareils ménagers","en":"Home Appliances","ru":"Бытовая техника","in":"Peralatan rumah","es":"Electrodomésticos"},"isleaf":false},{"id":200001996,"level":0,"names":{"zh":"工业/原材料/商业用品","pt":"Indústria e negócios","fr":"Industrie et d'affaires","en":"Industry & Business","ru":"Промышленности и бизнес","in":"Industri & bisnis","es":"Industria y negocio"},"isleaf":false},{"id":36,"level":0,"names":{"zh":"珠宝手表","pt":"Jóias de","fr":"Bijoux et montre","en":"Jewelry & Watch","ru":"Ювелирные изделия и часы","in":"Perhiasan & menonton","es":"Joyería y reloj"},"isleaf":false},{"id":39,"level":0,"names":{"zh":"照明灯饰","pt":"Luzes e iluminação","fr":"Lumières et éclairage","en":"Lights & Lighting","ru":"Огни и освещение","in":"Lampu & pencahayaan","es":"Luces e iluminación"},"isleaf":false},{"id":1524,"level":0,"names":{"zh":"箱包","pt":"Bagagem & Bags","fr":"Bagages et sacs","en":"Luggage & Bags","ru":"Багажа и сумки","in":"Bagasi & tas","es":"Equipaje y bolsas"},"isleaf":false},{"id":1501,"level":0,"names":{"zh":"孕婴童","pt":"Mãe & Kids","fr":"Mère et enfants","en":"Mother & Kids","ru":"Мать и дети","in":"Ibu & anak-anak","es":"La madre y de los niños"},"isleaf":false},{"id":21,"level":0,"names":{"zh":"办公文教用品","pt":"Escritório e material escolar","fr":"Bureau et fournitures scolaires","en":"Office & School Supplies","ru":"Офисные и школьные принадлежности","in":"Office & School Supplies","es":"Office & School Supplies"},"isleaf":false},{"id":509,"level":0,"names":{"zh":"电话和通讯","pt":"Telefones e telecomunicações","fr":"Téléphones et télécommunications","en":"Phones & Telecommunications","ru":"Телефоны и телекоммуникации","in":"Ponsel & telekomunikasi","es":"Teléfonos y telecomunicaciones"},"isleaf":false},{"id":30,"level":0,"names":{"zh":"安全防护","pt":"Segurança e proteção","fr":"Sécurité et Protection","en":"Security & Protection","ru":"Безопасности и защиты","in":"Keamanan & perlindungan","es":"Seguridad y protección"},"isleaf":false},{"id":322,"level":0,"names":{"zh":"鞋子","pt":"Sapatos","fr":"Chaussures","en":"Shoes","ru":"Обувь","in":"Sepatu","es":"Zapatos"},"isleaf":false},{"id":200001075,"level":0,"names":{"zh":"其他特殊类","pt":"Categoria especial","fr":"Catégorie spéciale","en":"Special Category","ru":"Специальная категория","in":"Kategori khusus","es":"Especial categoría"},"isleaf":false},{"id":18,"level":0,"names":{"zh":"运动及娱乐","pt":"Esportes e lazer","fr":"Sports & Entertainment","en":"Sports & Entertainment","ru":"Спорт и развлечения","in":"Olahraga & hiburan","es":"Deportes y entretenimiento"},"isleaf":false},{"id":1420,"level":0,"names":{"zh":"工具","pt":"Ferramentas","fr":"Outils","en":"Tools","ru":"Инструменты","in":"Alat","es":"Herramientas"},"isleaf":false},{"id":26,"level":0,"names":{"zh":"玩具","pt":"Brinquedos e Hobbies","fr":"Jouets & loisirs","en":"Toys & Hobbies","ru":"Игрушки и хобби","in":"Mainan & hobi","es":"Juguetes y pasatiempos"},"isleaf":false},{"id":200003498,"level":0,"names":{"zh":"旅游及度假","pt":"Viagem e as férias","fr":"Voyage et vacances","en":"Travel and Vacations","ru":"Путешествия и отдых","in":"Perjalanan dan Vacations","es":"Viajes y vacaciones"},"isleaf":false}],"success":true}

    category_list = [{u'names': {u'ru': u'\u041e\u0434\u0435\u0436\u0434\u0430 \u0438 \u0430\u043a\u0441\u0435\u0441\u0441\u0443\u0430\u0440\u044b', u'fr': u'V\xeatements & accessoires', u'en': u'Apparel & Accessories', u'zh': u'\u670d\u88c5/\u670d\u9970\u914d\u4ef6', u'pt': u'Vestu\xe1rio e acess\xf3rios', u'in': u'Pakaian & aksesoris', u'es': u'Ropa y accesorios'}, u'id': 3, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0410\u0432\u0442\u043e\u043c\u043e\u0431\u0438\u043b\u0438 \u0438 \u043c\u043e\u0442\u043e\u0446\u0438\u043a\u043b\u044b', u'fr': u'Automobiles et motos', u'en': u'Automobiles & Motorcycles', u'zh': u'\u6c7d\u8f66\u3001\u6469\u6258\u8f66', u'pt': u'Autom\xf3veis e motos', u'in': u'Mobil & sepeda motor', u'es': u'Autom\xf3viles y motocicletas'}, u'id': 34, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041a\u0440\u0430\u0441\u043e\u0442\u044b \u0438 \u0437\u0434\u043e\u0440\u043e\u0432\u044c\u044f', u'fr': u'Beaut\xe9 & sant\xe9', u'en': u'Beauty & Health', u'zh': u'\u7f8e\u5bb9\u5065\u5eb7', u'pt': u'Beleza & sa\xfade', u'in': u'Kecantikan & kesehatan', u'es': u'Belleza y salud'}, u'id': 66, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041a\u043e\u043c\u043f\u044c\u044e\u0442\u0435\u0440 \u0438 \u043e\u0444\u0438\u0441\u0430', u'fr': u'Ordinateur et bureau', u'en': u'Computer & Office', u'zh': u'\u7535\u8111\u548c\u529e\u516c', u'pt': u'E escrit\xf3rio', u'in': u'Komputer & kantor', u'es': u'Ordenador y oficina'}, u'id': 7, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0421\u0442\u0440\u043e\u0438\u0442\u0435\u043b\u044c\u0441\u0442\u0432\u043e \u0438 \u043d\u0435\u0434\u0432\u0438\u0436\u0438\u043c\u043e\u0441\u0442\u044c', u'fr': u'Immobilier & Construction', u'en': u'Construction & Real Estate', u'zh': u'\u5efa\u7b51', u'pt': u'Constru\xe7\xe3o & Real Estate', u'in': u'Konstruksi & Real Estate', u'es': u'Construcci\xf3n y bienes ra\xedces'}, u'id': 13, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0411\u044b\u0442\u043e\u0432\u0430\u044f \u044d\u043b\u0435\u043a\u0442\u0440\u043e\u043d\u0438\u043a\u0430', u'fr': u'Consumer Electronics', u'en': u'Consumer Electronics', u'zh': u'\u6d88\u8d39\u7535\u5b50', u'pt': u'Eletr\xf4nicos', u'in': u'Elektronik konsumen', u'es': u'Electr\xf3nica de consumo'}, u'id': 44, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041d\u0430\u0441\u0442\u0440\u043e\u0435\u043d\u043d\u044b\u0435 \u043f\u0440\u043e\u0434\u0443\u043a\u0442\u044b', u'fr': u'Produits personnalis\xe9s', u'en': u'Customized Products', u'zh': u'\u5b9a\u5236\u5316\u4ea7\u54c1', u'pt': u'Produtos personalizados', u'in': u'Produk disesuaikan', u'es': u'Productos personalizados'}, u'id': 100008578, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u042d\u043b\u0435\u043a\u0442\u0440\u043e\u0442\u0435\u0445\u043d\u0438\u043a\u0430 \u0438 \u0434\u043e\u043f\u043e\u043b\u043d\u0435\u043d\u0438\u044f', u'fr': u'Electrical Equipment & Supplies', u'en': u'Electrical Equipment & Supplies', u'zh': u'\u7535\u6c14\u8bbe\u5907\u548c\u4ea7\u54c1', u'pt': u'Equipamentos el\xe9ctricos e suprimentos', u'in': u'Peralatan listrik & perlengkapan', u'es': u'Equipo el\xe9ctrico y suministros'}, u'id': 5, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u042d\u043b\u0435\u043a\u0442\u0440\u043e\u043d\u043d\u044b\u0445 \u043a\u043e\u043c\u043f\u043e\u043d\u0435\u043d\u0442\u043e\u0432 \u0438 \u0440\u0430\u0441\u0445\u043e\u0434\u043d\u044b\u0445 \u043c\u0430\u0442\u0435\u0440\u0438\u0430\u043b\u043e\u0432', u'fr': u'Composants \xe9lectroniques et les', u'en': u'Electronic Components & Supplies', u'zh': u'\u7535\u5b50\u5143\u5668\u4ef6', u'pt': u'Componentes e sistemas electr\xf3nicas', u'in': u'Komponen elektronik & perlengkapan', u'es': u'Componentes y sistemas electr\xf3nicos'}, u'id': 502, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041f\u0438\u0442\u0430\u043d\u0438\u0435', u'fr': u'Alimentaire', u'en': u'Food', u'zh': u'\u98df\u54c1', u'pt': u'Alimentos', u'in': u'Makanan', u'es': u'Alimentos'}, u'id': 2, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041c\u0435\u0431\u0435\u043b\u044c', u'fr': u'Meubles', u'en': u'Furniture', u'zh': u'\u5bb6\u5177\u548c\u5ba4\u5185\u88c5\u9970\u54c1', u'pt': u'M\xf3veis', u'in': u'Furniture', u'es': u'Muebles'}, u'id': 1503, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0412\u043e\u043b\u043e\u0441\u044b \u0438 \u0430\u043a\u0441\u0435\u0441\u0441\u0443\u0430\u0440\u044b', u'fr': u'Cheveux et accessoires', u'en': u'Hair & Accessories', u'zh': u'\u5047\u53d1\u53ca\u5468\u8fb9', u'pt': u'Cabelo de', u'in': u'Rambut & aksesoris', u'es': u'Pelo y accesorios'}, u'id': 200003655, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041e\u0431\u043e\u0440\u0443\u0434\u043e\u0432\u0430\u043d\u0438\u0435', u'fr': u'Mat\xe9riel', u'en': u'Hardware', u'zh': u'\u4e94\u91d1', u'pt': u'Hardware', u'in': u'Hardware', u'es': u'Hardware'}, u'id': 42, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0414\u043e\u043c\u0430 \u0438 \u0441\u0430\u0434\u0430', u'fr': u'Maison & jardin', u'en': u'Home & Garden', u'zh': u'\u5bb6\u5c45\u7528\u54c1', u'pt': u'Casa e jardim', u'in': u'Home & Garden', u'es': u'Hogar y jard\xedn'}, u'id': 15, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0411\u044b\u0442\u043e\u0432\u0430\u044f \u0442\u0435\u0445\u043d\u0438\u043a\u0430', u'fr': u'Appareils m\xe9nagers', u'en': u'Home Appliances', u'zh': u'\u5bb6\u7528\u7535\u5668', u'pt': u'Eletrodom\xe9sticos', u'in': u'Peralatan rumah', u'es': u'Electrodom\xe9sticos'}, u'id': 6, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041f\u0440\u043e\u043c\u044b\u0448\u043b\u0435\u043d\u043d\u043e\u0441\u0442\u0438 \u0438 \u0431\u0438\u0437\u043d\u0435\u0441', u'fr': u"Industrie et d'affaires", u'en': u'Industry & Business', u'zh': u'\u5de5\u4e1a/\u539f\u6750\u6599/\u5546\u4e1a\u7528\u54c1', u'pt': u'Ind\xfastria e neg\xf3cios', u'in': u'Industri & bisnis', u'es': u'Industria y negocio'}, u'id': 200001996, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u042e\u0432\u0435\u043b\u0438\u0440\u043d\u044b\u0435 \u0438\u0437\u0434\u0435\u043b\u0438\u044f \u0438 \u0447\u0430\u0441\u044b', u'fr': u'Bijoux et montre', u'en': u'Jewelry & Watch', u'zh': u'\u73e0\u5b9d\u624b\u8868', u'pt': u'J\xf3ias de', u'in': u'Perhiasan & menonton', u'es': u'Joyer\xeda y reloj'}, u'id': 36, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041e\u0433\u043d\u0438 \u0438 \u043e\u0441\u0432\u0435\u0449\u0435\u043d\u0438\u0435', u'fr': u'Lumi\xe8res et \xe9clairage', u'en': u'Lights & Lighting', u'zh': u'\u7167\u660e\u706f\u9970', u'pt': u'Luzes e ilumina\xe7\xe3o', u'in': u'Lampu & pencahayaan', u'es': u'Luces e iluminaci\xf3n'}, u'id': 39, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0411\u0430\u0433\u0430\u0436\u0430 \u0438 \u0441\u0443\u043c\u043a\u0438', u'fr': u'Bagages et sacs', u'en': u'Luggage & Bags', u'zh': u'\u7bb1\u5305', u'pt': u'Bagagem & Bags', u'in': u'Bagasi & tas', u'es': u'Equipaje y bolsas'}, u'id': 1524, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041c\u0430\u0442\u044c \u0438 \u0434\u0435\u0442\u0438', u'fr': u'M\xe8re et enfants', u'en': u'Mother & Kids', u'zh': u'\u5b55\u5a74\u7ae5', u'pt': u'M\xe3e & Kids', u'in': u'Ibu & anak-anak', u'es': u'La madre y de los ni\xf1os'}, u'id': 1501, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041e\u0444\u0438\u0441\u043d\u044b\u0435 \u0438 \u0448\u043a\u043e\u043b\u044c\u043d\u044b\u0435 \u043f\u0440\u0438\u043d\u0430\u0434\u043b\u0435\u0436\u043d\u043e\u0441\u0442\u0438', u'fr': u'Bureau et fournitures scolaires', u'en': u'Office & School Supplies', u'zh': u'\u529e\u516c\u6587\u6559\u7528\u54c1', u'pt': u'Escrit\xf3rio e material escolar', u'in': u'Office & School Supplies', u'es': u'Office & School Supplies'}, u'id': 21, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0422\u0435\u043b\u0435\u0444\u043e\u043d\u044b \u0438 \u0442\u0435\u043b\u0435\u043a\u043e\u043c\u043c\u0443\u043d\u0438\u043a\u0430\u0446\u0438\u0438', u'fr': u'T\xe9l\xe9phones et t\xe9l\xe9communications', u'en': u'Phones & Telecommunications', u'zh': u'\u7535\u8bdd\u548c\u901a\u8baf', u'pt': u'Telefones e telecomunica\xe7\xf5es', u'in': u'Ponsel & telekomunikasi', u'es': u'Tel\xe9fonos y telecomunicaciones'}, u'id': 509, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0411\u0435\u0437\u043e\u043f\u0430\u0441\u043d\u043e\u0441\u0442\u0438 \u0438 \u0437\u0430\u0449\u0438\u0442\u044b', u'fr': u'S\xe9curit\xe9 et Protection', u'en': u'Security & Protection', u'zh': u'\u5b89\u5168\u9632\u62a4', u'pt': u'Seguran\xe7a e prote\xe7\xe3o', u'in': u'Keamanan & perlindungan', u'es': u'Seguridad y protecci\xf3n'}, u'id': 30, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041e\u0431\u0443\u0432\u044c', u'fr': u'Chaussures', u'en': u'Shoes', u'zh': u'\u978b\u5b50', u'pt': u'Sapatos', u'in': u'Sepatu', u'es': u'Zapatos'}, u'id': 322, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0421\u043f\u0435\u0446\u0438\u0430\u043b\u044c\u043d\u0430\u044f \u043a\u0430\u0442\u0435\u0433\u043e\u0440\u0438\u044f', u'fr': u'Cat\xe9gorie sp\xe9ciale', u'en': u'Special Category', u'zh': u'\u5176\u4ed6\u7279\u6b8a\u7c7b', u'pt': u'Categoria especial', u'in': u'Kategori khusus', u'es': u'Especial categor\xeda'}, u'id': 200001075, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0421\u043f\u043e\u0440\u0442 \u0438 \u0440\u0430\u0437\u0432\u043b\u0435\u0447\u0435\u043d\u0438\u044f', u'fr': u'Sports & Entertainment', u'en': u'Sports & Entertainment', u'zh': u'\u8fd0\u52a8\u53ca\u5a31\u4e50', u'pt': u'Esportes e lazer', u'in': u'Olahraga & hiburan', u'es': u'Deportes y entretenimiento'}, u'id': 18, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0418\u043d\u0441\u0442\u0440\u0443\u043c\u0435\u043d\u0442\u044b', u'fr': u'Outils', u'en': u'Tools', u'zh': u'\u5de5\u5177', u'pt': u'Ferramentas', u'in': u'Alat', u'es': u'Herramientas'}, u'id': 1420, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u0418\u0433\u0440\u0443\u0448\u043a\u0438 \u0438 \u0445\u043e\u0431\u0431\u0438', u'fr': u'Jouets & loisirs', u'en': u'Toys & Hobbies', u'zh': u'\u73a9\u5177', u'pt': u'Brinquedos e Hobbies', u'in': u'Mainan & hobi', u'es': u'Juguetes y pasatiempos'}, u'id': 26, u'isleaf': False, u'level': 0}, {u'names': {u'ru': u'\u041f\u0443\u0442\u0435\u0448\u0435\u0441\u0442\u0432\u0438\u044f \u0438 \u043e\u0442\u0434\u044b\u0445', u'fr': u'Voyage et vacances', u'en': u'Travel and Vacations', u'zh': u'\u65c5\u6e38\u53ca\u5ea6\u5047', u'pt': u'Viagem e as f\xe9rias', u'in': u'Perjalanan dan Vacations', u'es': u'Viajes y vacaciones'}, u'id': 200003498, u'isleaf': False, u'level': 0}]

    # category_list = [{u'sku': False, u'customizedName': False, u'required': True, u'attributeShowTypeValue': u'check_box',u'id': 10, u'visible': True,u'values': [{u'id': 200002203, u'names': {u'en': u'Acetate', u'zh': u'\u918b\u9178\u7ea4\u7ef4'}},{u'id': 100019007, u'names': {u'en': u'Acrylic', u'zh': u'\u8148\u7eb6'}},{u'id': 7919, u'names': {u'en': u'Bamboo Fiber', u'zh': u'\u7af9\u7ea4\u7ef4'}},{u'id': 567, u'names': {u'en': u'Cashmere', u'zh': u'\u7f8a\u7ed2'}}, {u'id': 47, u'names': {u'en': u'Cotton', u'zh': u'\u68c9'}}, {u'id': 200001061, u'names': {u'en': u'Faux Fur', u'zh': u'\u5047\u76ae\u8349'}}, {u'id': 200004100, u'names': {u'en': u'Fur', u'zh': u'\u76ae\u8349'}}, {u'id': 1042, u'names': {u'en': u'Genuine Leather', u'zh': u'\u771f\u76ae'}}, {u'id': 115, u'names': {u'en': u'Linen', u'zh': u'\u4e9a\u9ebb'}}, {u'id': 1912, u'names': {u'en': u'Lycra', u'zh': u'\u83b1\u5361'}}, {u'id': 571, u'names': {u'en': u'Microfiber', u'zh': u'\u8d85\u7ec6\u7ea4\u7ef4'}}, {u'id': 200002202, u'names': {u'en': u'Modal', u'zh': u'\u83ab\u4ee3\u5c14'}}, {u'id': 63, u'names': {u'en': u'Nylon', u'zh': u'\u5c3c\u9f99'}}, {u'id': 48, u'names': {u'en': u'Polyester', u'zh': u'\u6da4\u7eb6'}}, {u'id': 200002207, u'names': {u'en': u'Polyethersulfone', u'zh': u'\u805a\u919a\u781c'}}, {u'id': 89, u'names': {u'en': u'Rayon', u'zh': u'\u4eba\u9020\u4e1d'}}, {u'id': 49, u'names': {u'en': u'Silk', u'zh': u'\u771f\u4e1d'}}, {u'id': 100019017, u'names': {u'en': u'Spandex', u'zh': u'\u6c28\u7eb6'}}, {u'id': 100014040, u'names': {u'en': u'Synthetic Leather', u'zh': u'\u4eba\u9020\u76ae\u9769'}}, {u'id': 866, u'names': {u'en': u'Viscose', u'zh': u'\u7ea4\u7ef4\u80f6'}}, {u'id': 90, u'names': {u'en': u'Wool', u'zh': u'\u7f8a\u6bdb'}}], u'names': {u'en': u'Material', u'zh': u'\u6750\u8d28'}, u'inputType': u'STRING', u'keyAttribute': False, u'customizedPic': False, u'spec': 0}, {u'sku': False, u'customizedName': False, u'required': True, u'attributeShowTypeValue': u'list_box', u'id': 284, u'visible': True, u'values': [{u'id': 494, u'names': {u'en': u'Women', u'zh': u'\u5973\u58eb'}}, {u'id': 493, u'names': {u'en': u'Men', u'zh': u'\u7537\u58eb'}}, {u'id': 100006216, u'names': {u'en': u'Boys', u'zh': u'\u7537\u7ae5'}}, {u'id': 100006000, u'names': {u'en': u'Girls', u'zh': u'\u5973\u7ae5'}}, {u'id': 100006039, u'names': {u'en': u'Unisex', u'zh': u'\u7537\u5973\u901a\u7528\u7684'}}], u'names': {u'en': u'Gender', u'zh': u'\u6027\u522b'}, u'inputType': u'STRING', u'keyAttribute': False, u'customizedPic': False, u'spec': 0}, {u'sku': False, u'customizedName': False, u'required': True, u'attributeShowTypeValue': u'list_box', u'id': 200000043, u'visible': True, u'values': [{u'id': 4100, u'names': {u'en': u'Adult', u'zh': u'\u6210\u4eba'}}, {u'id': 492, u'names': {u'en': u'Children', u'zh': u'\u513f\u7ae5'}}], u'names': {u'en': u'Department Name', u'zh': u'\u9002\u7528\u4eba\u7fa4'}, u'inputType': u'STRING', u'keyAttribute': False, u'customizedPic': False, u'spec': 0}, {u'sku': False, u'customizedName': False, u'required': False, u'attributeShowTypeValue': u'list_box', u'id': 200000329, u'visible': True, u'values': [{u'id': 200004097, u'names': {u'en': u'Animal', u'zh': u'\u52a8\u7269\uff08\u5b9e\u7269\u5f62\u8c61\uff0c\u975e\u5361\u901a\uff09'}}, {u'id': 200004095, u'names': {u'en': u'Character', u'zh': u'\u5361\u901a\u5f62\u8c61'}}, {u'id': 7521, u'names': {u'en': u'Dot', u'zh': u'\u5706\u70b9'}}, {u'id': 200004091, u'names': {u'en': u'Floral', u'zh': u'\u82b1\u6735'}}, {u'id': 200001255, u'names': {u'en': u'Geometric', u'zh': u'\u51e0\u4f55'}}, {u'id': 360698, u'names': {u'en': u'Letter', u'zh': u'\u5b57\u6bcd'}}, {u'id': 200004094, u'names': {u'en': u'Paisley', u'zh': u'\u6f29\u6da1'}}, {u'id': 200004096, u'names': {u'en': u'Patchwork', u'zh': u'\u62fc\u63a5'}}, {u'id': 200004093, u'names': {u'en': u'Plaid', u'zh': u'\u683c\u5b50'}}, {u'id': 200001250, u'names': {u'en': u'Print', u'zh': u'\u5370\u82b1'}}, {u'id': 200001248, u'names': {u'en': u'Solid', u'zh': u'\u7eaf\u8272'}}, {u'id': 519, u'names': {u'en': u'Striped', u'zh': u'\u6761\u7eb9'}}], u'names': {u'en': u'Pattern Type', u'zh': u'\u56fe\u6848\u7c7b\u578b'}, u'inputType': u'STRING', u'keyAttribute': True, u'customizedPic': False, u'spec': 0}, {u'sku': True, u'customizedName': True, u'required': False, u'attributeShowTypeValue': u'check_box', u'skuStyleValue': u'colour_atla', u'id': 14, u'visible': True, u'values': [{u'id': 29, u'names': {u'en': u'White', u'zh': u'\u767d\u8272'}}, {u'id': 771, u'names': {u'en': u'Beige', u'zh': u'\u7c73\u8272'}}, {u'id': 200002130, u'names': {u'en': u'Ivory', u'zh': u'\u8c61\u7259\u767d'}}, {u'id': 193, u'names': {u'en': u'Black', u'zh': u'\u9ed1\u8272'}}, {u'id': 175, u'names': {u'en': u'Green', u'zh': u'\u7eff\u8272'}}, {u'id': 200004889, u'names': {u'en': u'Army Green', u'zh': u'\u519b\u7eff\u8272'}}, {u'id': 10, u'names': {u'en': u'Red', u'zh': u'\u7ea2\u8272'}}, {u'id': 691, u'names': {u'en': u'Gray', u'zh': u'\u7070\u8272'}}, {u'id': 200004890, u'names': {u'en': u'Dark Grey', u'zh': u'\u6df1\u7070\u8272'}}, {u'id': 173, u'names': {u'en': u'Blue', u'zh': u'\u84dd\u8272'}}, {u'id': 1254, u'names': {u'en': u'Sky Blue', u'zh': u'\u5929\u84dd\u8272'}}, {u'id': 366, u'names': {u'en': u'Yellow', u'zh': u'\u9ec4\u8272'}}, {u'id': 1052, u'names': {u'en': u'Pink', u'zh': u'\u7c89\u8272'}}, {u'id': 496, u'names': {u'en': u'Purple', u'zh': u'\u7d2b\u8272'}}, {u'id': 200004891, u'names': {u'en': u'Lavender', u'zh': u'\u7d2b\u7f57\u5170'}}, {u'id': 350853, u'names': {u'en': u'Silver', u'zh': u'\u94f6\u8272'}}, {u'id': 350850, u'names': {u'en': u'Gold', u'zh': u'\u91d1\u8272'}}, {u'id': 365458, u'names': {u'en': u'Brown', u'zh': u'\u8910\u8272'}}, {u'id': 350852, u'names': {u'en': u'Orange', u'zh': u'\u6a59\u8272'}}, {u'id': 200003699, u'names': {u'en': u'Multi', u'zh': u'\u591a\u8272'}}], u'names': {u'en': u'Color', u'zh': u'\u989c\u8272'}, u'inputType': u'STRING', u'keyAttribute': True, u'customizedPic': True, u'spec': 1}, {u'sku': False, u'customizedName': False, u'required': False, u'attributeShowTypeValue': u'list_box', u'id': 281, u'visible': True, u'values': [{u'id': 1887, u'names': {u'en': u'Winter', u'zh': u'\u51ac\u5b63'}}, {u'id': 1870, u'names': {u'en': u'Summer', u'zh': u'\u590f\u5b63'}}], u'names': {u'en': u'Season', u'zh': u'\u5b63\u8282'}, u'inputType': u'STRING', u'keyAttribute': True, u'customizedPic': False, u'spec': 0}, {u'sku': False, u'customizedName': False, u'required': False, u'attributeShowTypeValue': u'input', u'id': 3, u'visible': True, u'names': {u'en': u'Model Number', u'zh': u'\u578b\u53f7'}, u'inputType': u'STRING', u'keyAttribute': False, u'customizedPic': False, u'spec': 0}, {u'sku': False, u'customizedName': False, u'required': False, u'attributeShowTypeValue': u'input', u'id': 2, u'visible': True, u'names': {u'en': u'Brand Name', u'zh': u'\u54c1\u724c'}, u'inputType': u'STRING', u'keyAttribute': False, u'customizedPic': False, u'spec': 0}, {u'sku': True, u'customizedName': False, u'required': False, u'attributeShowTypeValue': u'check_box', u'id': 200007763, u'visible': True, u'values': [{u'id': 201336100, u'names': {u'en': u'China', u'zh': u'CN'}}, {u'id': 201336106, u'names': {u'en': u'United States', u'zh': u'US'}}, {u'id': 201336105, u'names': {u'en': u'United Kingdom', u'zh': u'UK'}}, {u'id': 201336101, u'names': {u'en': u'Germany', u'zh': u'DE'}}, {u'id': 201336104, u'names': {u'en': u'Spain', u'zh': u'ES'}}, {u'id': 201336099, u'names': {u'en': u'Australia', u'zh': u'AU'}}, {u'id': 201336103, u'names': {u'en': u'Russian Federation', u'zh': u'RU'}}, {u'id': 201336102, u'names': {u'en': u'Indonesia', u'zh': u'ID'}}, {u'id': 201336342, u'names': {u'en': u'France', u'zh': u'FR'}}, {u'id': 201336343, u'names': {u'en': u'Italy', u'zh': u'IT'}}], u'names': {u'en': u'Ships From', u'zh': u'\u53d1\u8d27\u5730'}, u'inputType': u'STRING', u'keyAttribute': False, u'customizedPic': False, u'spec': 2}]

    # cateogry_xml_node = create_xml_node_dict('category', **category_dict)
    cateogry_xml_node = create_xml_node_list('category', *category_list)
    category_tree.appendChild(cateogry_xml_node)

    print '-------------------------'
    print category_tree
    print '-------------------------'

    f = open('bookstore1.xml','w')
    f.write(doc.toprettyxml(indent = ''))
    f.close()

    # # convertedXml = xmltodict.unparse(category_dict)
    # with open('xml_test.xml', 'w') as f:
    #     f.write(convertedXml)
    #
    # category = doc.createElement('category')
    #
    # category.setAttribute('id', category_dict['id'])
    #
    #
    # # 创建名称的xml结点
    # name_xml = doc.createElement('name')
    #
    # name_dict = category_dict['name']
    # for key in name_dict:
    #     name = doc.createElement(key)
    #     name_text = doc.createTextNode(name_dict[key])
    #     name.appendChild(name_text)
    #     name_xml.appendChild(name)
    #
    # name_text.appendChild(name_xml)
    # # 创建属性的xml结点
    # attr_xml = doc.createElement('attr')
    #
    # attr_list = category_dict['attr']
    # for attr_dict in attr_list:
    #     attr_xml = doc.createElement('attr')
    #     for key in attr_dict:
    #         if type(attr_dict[key]) in [float, int, str]:
    #             attr_xml.setAttribute(key, attr_dict[key])
    #         elif type(attr_dict[key]) is dict:





    # category_tree.appendChild(category)





def create_xml():
    doc = Document()  #创建DOM文档对象

    bookstore = doc.createElement('bookstore') #创建根元素
    bookstore.setAttribute('xmlns:xsi',"http://www.w3.org/2001/XMLSchema-instance")#设置命名空间
    bookstore.setAttribute('xsi:noNamespaceSchemaLocation','bookstore.xsd')#引用本地XML Schema
    doc.appendChild(bookstore)
    ############book:Python处理XML之Minidom################
    book = doc.createElement('book')
    book.setAttribute('genre','XML')
    bookstore.appendChild(book)

    title = doc.createElement('title')
    title_text = doc.createTextNode('Python处理XML之Minidom') #元素内容写入
    title.appendChild(title_text)
    book.appendChild(title)

    author = doc.createElement('author')
    book.appendChild(author)
    author_first_name = doc.createElement('first-name')
    author_last_name  = doc.createElement('last-name')
    author_first_name_text = doc.createTextNode('张')
    author_last_name_text  = doc.createTextNode('三')
    author.appendChild(author_first_name)
    author.appendChild(author_last_name)
    author_first_name.appendChild(author_first_name_text)
    author_last_name.appendChild(author_last_name_text)
    book.appendChild(author)

    price = doc.createElement('price')
    price_text = doc.createTextNode('28')
    price.appendChild(price_text)
    book.appendChild(price)

    ############book1:Python写网站之Django####################
    book1 = doc.createElement('book')
    book1.setAttribute('genre','Web')
    bookstore.appendChild(book1)

    title1 = doc.createElement('title')
    title_text1 = doc.createTextNode('Python写网站之Django')
    title1.appendChild(title_text1)
    book1.appendChild(title1)

    author1 = doc.createElement('author')
    book.appendChild(author1)
    author_first_name1 = doc.createElement('first-name')
    author_last_name1  = doc.createElement('last-name')
    author_first_name_text1 = doc.createTextNode('李')
    author_last_name_text1  = doc.createTextNode('四')
    author1.appendChild(author_first_name1)
    author1.appendChild(author_last_name1)
    author_first_name1.appendChild(author_first_name_text1)
    author_last_name1.appendChild(author_last_name_text1)
    book1.appendChild(author1)

    price1 = doc.createElement('price')
    price_text1 = doc.createTextNode('40')
    price1.appendChild(price_text1)
    book1.appendChild(price1)

    ########### 将DOM对象doc写入文件
    f = open('bookstore.xml','w')
    f.write(doc.toprettyxml(indent = ''))
    f.close()


if __name__=='__main__':

    # category_list = []
    # i = 0
    #
    # category_tree = doc.createElement('category_tree') #创建根元素
    # category_tree.setAttribute('xmlns:xsi',"http://www.w3.org/2001/XMLSchema-instance")#设置命名空间
    # doc.appendChild(category_tree)
    #
    # category_tree_dict = {}
    # level = 0
    # leaf_pre = 'False'
    #
    # node_list_dict = {'0':[category_tree]}
    #
    # with open('webStore/1688/category.csv', 'r') as f:
    #     while f:
    #         try:
    #             print i
    #             i = i +1
    #             category_str = f.readline()
    #             category_list = category_str.replace('\n', '').split('\t')
    #             category_dict = {'id' : str(category_list[0]), 'name_zh' : category_list[2], 'name_en' : category_list[3], 'leaf' : category_list[4], 'attr' : eval(category_list[5])}
    #
    #             # print category_dict['leaf'], leaf_pre, level
    #             # if leaf_pre == 'False':
    #             #     level = level + 1
    #             # else:
    #             #     if category_dict['leaf'] == 'True':
    #             #         level = level
    #             #     else:
    #             #         level = level - 1
    #             #
    #             # leaf_pre = category_dict['leaf']
    #             # category_dict['level'] = level
    #
    #
    #             category_node = create_xml_node_dict('category_' + str(i), **category_dict)
    #
    #             category_tree.appendChild(category_node)
    #
    #             # if str(level) not in node_list_dict:
    #             #     node_list_dict[str(level)] = []
    #             #
    #             # node_list_dict[str(level)].append(category_node)
    #             # node_list_dict[str(level-1)][-1].appendChild(category_node)
    #         except Exception as e:
    #             print 'error',str(e),i
    #             break
    #
    #
    #
    # with open('bookstore.xml','w') as f:
    #     f.write(doc.toprettyxml(indent = ''))

    create_ae_xml()